GET /api/v3/channel/{channelId} Deprecated

Retrieves details about a single channel

GetChannelV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
channelId The channel identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChannelResponseV3
Property Description Type
autoSummarize Indicates if the channels reading is auto summarized boolean
channelCode The channel code string
channelId The channel identifier integer (int32)
channelImportId The import identifier for the channel. string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
firstReadingDate string (date-time)
hasReadings Indicates if the channel has readings boolean
hidden Indicates if the channel is hidden boolean
intervalMinutes The interval of the channel. The interval is measured in minutes integer (int32)
isUsedOnDistribution Indicates if the channel is a part of a distribution boolean
lastReadingDate Date of the most recent reading for this channel string (date-time)
maximumReading The channel’s max reading number (double)
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
multiplier The channel multiplier number (double)
observationMethod ObservationMethod
ObservationMethod properties
Property Description Type
observationMethodCode The observation method code string
observationMethodId The observation method identifier integer (int32)
observationMethodInfo The observation method info string
observationRule ObservationRule
ObservationRule properties
Property Description Type
observationRuleCode The observation rule code string
observationRuleId The observation rule identifier integer (int32)
observationRuleInfo The observation rule info string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
properties DeviceChannelChild
DeviceChannelChild properties
Property Description Type
channelChar The channel char string
channelFlag The channel flag boolean
channelFloat The channel float number (double)
channelInteger The channel integer integer (int32)
channelNumber The channel number integer (int32)
channelText The channel text string
decodeType The decode type of the channel integer (int32)
lastCalibrated The date and time the channel was last calibrated string (date-time)
readDirection The channel’s read direction string
readMethod The channel’s read method string
rf_Ert_Id string
rf_Ert_Type integer (int32)
rf_Frequency number (double)
rf_Tone number (double)
totalSum The total sum boolean
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "autoSummarize": false,  "channelCode": "string",  "channelId": 1,  "channelImportId": "string",  "commodity": {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  },  "firstReadingDate": "2026-03-30",  "hasReadings": false,  "hidden": false,  "intervalMinutes": 1,  "isUsedOnDistribution": false,  "lastReadingDate": "2026-03-30",  "maximumReading": 1.0,  "meter": {    "active": false,    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "isCalculatedMeter": false,    "isEsaCalculatedMeter": false,    "isSplitChildMeter": false,    "isSplitParentMeter": false,    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "serialNumber": "string"
  },  "multiplier": 1.0,  "observationMethod": {    "observationMethodCode": "string",    "observationMethodId": 1,    "observationMethodInfo": "string"
  },  "observationRule": {    "observationRuleCode": "string",    "observationRuleId": 1,    "observationRuleInfo": "string"
  },  "observationType": {    "credit": 1,    "nounCode": "string",    "nounId": 1,    "observationTypeCode": "string",    "observationTypeId": 1,    "observationTypeInfo": "string"
  },  "properties": {    "channelChar": "string",    "channelFlag": false,    "channelFloat": 1.0,    "channelInteger": 1,    "channelNumber": 1,    "channelText": "string",    "decodeType": 1,    "lastCalibrated": "2026-03-30",    "readDirection": "string",    "readMethod": "string",    "rf_Ert_Id": "string",    "rf_Ert_Type": 1,    "rf_Frequency": 1.0,    "rf_Tone": 1.0
  },  "totalSum": false,  "unit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}